XDocletTemplateMessages (XDoclet 1.2.3 API)
Keywords: xdoclet.template.XDocletTemplateMessages class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.template
Class XDocletTemplateMessages

    java.lang.Object
      xdoclet.template.XDocletTemplateMessages

public final class XDocletTemplateMessages
extends Object

Version:
  $Revision: 1.3 $
Author:
  Ara Abrahamian (ara_e_w@yahoo.com)
created
  May 31, 2002

Field Summary
`static String` | `TEMPLATE_CLASSNOTFOUNDEXCEPTION`
`static String` | `TEMPLATE_CLOSE_TAG_MISSING`
`static String` | `TEMPLATE_CORRESPONDING_TAG_MISSING`
`static String` | `TEMPLATE_COULDNT_LOAD_MAPPINGS`
`static String` | `TEMPLATE_EQUALS_EXPECTED`
`static String` | `TEMPLATE_ERROR_WRITING_OUTPUT`
`static String` | `TEMPLATE_GT_EXPECTED`
`static String` | `TEMPLATE_ILLEGALACCESSEXCEPTION`
`static String` | `TEMPLATE_INSTANTIATIONEXCEPTION`
`static String` | `TEMPLATE_INVOKE_METHOD_FAILED`
`static String` | `TEMPLATE_IOEXCEPTION`
`static String` | `TEMPLATE_NO_SUCH_METHOD`
`static String` | `TEMPLATE_NO_TAGHANDLER`
`static String` | `TEMPLATE_NOCLASSDEFFOUNDERROR`
`static String` | `TEMPLATE_NOT_FOUND`
`static String` | `TEMPLATE_PARAMETER_MISSING`
`static String` | `TEMPLATE_QUOTE_EXPECTED`
`static String` | `TEMPLATE_SYNTAX_ERROR`

Constructor Summary
`XDocletTemplateMessages()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE_QUOTE_EXPECTED

    public static final String TEMPLATE_QUOTE_EXPECTED

See Also:
  Constant Field Values
msg.bundle
  msg="Error in template file: \" sign expected but something different found, line={0} of template file: {1}"

### TEMPLATE_EQUALS_EXPECTED

    public static final String TEMPLATE_EQUALS_EXPECTED

See Also:
  Constant Field Values
msg.bundle
  msg="Error in template file: = sign expected but something different found, line={0} of template file: {1}"

### TEMPLATE_NOT_FOUND

    public static final String TEMPLATE_NOT_FOUND

See Also:
  Constant Field Values
msg.bundle
  msg="Template file {0} not found."

### TEMPLATE_ERROR_WRITING_OUTPUT

    public static final String TEMPLATE_ERROR_WRITING_OUTPUT

See Also:
  Constant Field Values
msg.bundle
  msg="An error occured while writing output to file {0}"

### TEMPLATE_NO_TAGHANDLER

    public static final String TEMPLATE_NO_TAGHANDLER

See Also:
  Constant Field Values
msg.bundle
  msg="Could not find tag handler for prefix: {0}"

### TEMPLATE_ILLEGALACCESSEXCEPTION

    public static final String TEMPLATE_ILLEGALACCESSEXCEPTION

See Also:
  Constant Field Values
msg.bundle
  msg="Unable to create instance of tag handler class: {0} because {1}"

### TEMPLATE_INSTANTIATIONEXCEPTION

    public static final String TEMPLATE_INSTANTIATIONEXCEPTION

See Also:
  Constant Field Values
msg.bundle
  msg="Unable to create instance of tag handler class: {0} because {1}"

### TEMPLATE_CLASSNOTFOUNDEXCEPTION

    public static final String TEMPLATE_CLASSNOTFOUNDEXCEPTION

See Also:
  Constant Field Values
msg.bundle
  msg="Unable to load tag handler class: {0} because {1}"

### TEMPLATE_NOCLASSDEFFOUNDERROR

    public static final String TEMPLATE_NOCLASSDEFFOUNDERROR

See Also:
  Constant Field Values
msg.bundle
  msg="Unable to load tag handler class: {0} because {1}"

### TEMPLATE_COULDNT_LOAD_MAPPINGS

    public static final String TEMPLATE_COULDNT_LOAD_MAPPINGS

See Also:
  Constant Field Values
msg.bundle
  msg="Couldn''t load tag mapping file from jar."

### TEMPLATE_NO_SUCH_METHOD

    public static final String TEMPLATE_NO_SUCH_METHOD

See Also:
  Constant Field Values
msg.bundle
  msg="Could not find method {0} in class {1} ({2})"

### TEMPLATE_INVOKE_METHOD_FAILED

    public static final String TEMPLATE_INVOKE_METHOD_FAILED

See Also:
  Constant Field Values
msg.bundle
  msg="Invoking method in class {0} failed: {1}, line={2} of template file: {3}, exception: {4}"

### TEMPLATE_CORRESPONDING_TAG_MISSING

    public static final String TEMPLATE_CORRESPONDING_TAG_MISSING

See Also:
  Constant Field Values
msg.bundle
  msg="Error in template file: corresponding {0} not found, line={1} of template file: {2}"

### TEMPLATE_CLOSE_TAG_MISSING

    public static final String TEMPLATE_CLOSE_TAG_MISSING

See Also:
  Constant Field Values
msg.bundle
  msg="Error in template file: corresponding {0} not found, line={1} of template file: {2}"

### TEMPLATE_GT_EXPECTED

    public static final String TEMPLATE_GT_EXPECTED

See Also:
  Constant Field Values
msg.bundle
  msg="Error in template file: > sign expected after / sign but something different found, line={0} of template file: {1}"

### TEMPLATE_IOEXCEPTION

    public static final String TEMPLATE_IOEXCEPTION

See Also:
  Constant Field Values
msg.bundle
  msg="Unable to read properties file due to IOException: {0}"

### TEMPLATE_PARAMETER_MISSING

    public static final String TEMPLATE_PARAMETER_MISSING

See Also:
  Constant Field Values
msg.bundle
  msg="''{0}'' parameter missing. Specify both ''destinationFile'' and ''templateFile'' configuration parameters please."

### TEMPLATE_SYNTAX_ERROR

    public static final String TEMPLATE_SYNTAX_ERROR

See Also:
  Constant Field Values
msg.bundle
  msg="Error in template file: syntax error, line={0} of template file: {1} affecting template: {2}"

Constructor Detail

### XDocletTemplateMessages

    public XDocletTemplateMessages()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD